diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index da49f23f1f..0a737524d2 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -1091,7 +1091,7 @@ (define-public mangohud
     (inputs
      (list dbus
            glslang
-           `(,hwdata "pci")
+           hwdata
            imgui-1.86
            libx11
            mesa
diff --git a/gnu/packages/kde-plasma.scm b/gnu/packages/kde-plasma.scm
index 974c35e9cc..1612e0833d 100644
--- a/gnu/packages/kde-plasma.scm
+++ b/gnu/packages/kde-plasma.scm
@@ -1169,7 +1169,7 @@ (define-public kwin
                                 (which "Xwayland") b)))
               (substitute* '("cmake/modules/Findhwdata.cmake")
                 (("/usr/share")
-                 (string-append #$hwdata:pnp "/share")))))
+                 (string-append #$hwdata "/share")))))
           (add-after 'install 'add-symlinks
             (lambda* (#:key outputs #:allow-other-keys)
               (let ((kst5 (string-append #$output
@@ -1219,7 +1219,7 @@ (define-public kwin
                   eudev
                   fontconfig
                   freetype
-                  `(,hwdata "pnp")
+                  hwdata
                   kactivities
                   kcmutils
                   kcompletion
diff --git a/gnu/packages/pciutils.scm b/gnu/packages/pciutils.scm
index 140bbd0e90..10eafa7680 100644
--- a/gnu/packages/pciutils.scm
+++ b/gnu/packages/pciutils.scm
@@ -39,7 +39,7 @@ (define-module (gnu packages pciutils)
 (define-public hwdata
   (package
     (name "hwdata")
-    (version "0.365")                   ;updated monthly
+    (version "0.373")                   ;updated monthly
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -48,25 +48,15 @@ (define-public hwdata
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "00gqx24dyy9l98ygnvx8i087xq8pl9d2393h4d2cm4d5nnvr51d4"))))
+                "00ivyzwc1qsbkqizjqll4s436y7s64cqjx0azvnjrqfq5dsnhxi9"))))
     (build-system gnu-build-system)
-    (outputs '("out" "iab" "oui" "pci" "pnp" "usb"))
     (arguments
      ;; Tests require pciutils, python, podman. Disable to avoid recursive dep.
      (list
       #:tests? #f
       ;; Do not cross-compile, since the package only contains data.
       #:target #f
-      #:configure-flags #~(list (string-append "--datadir=" #$output "/share"))
-      #:phases
-      #~(modify-phases %standard-phases
-          (replace 'install
-            (lambda _
-              (install-file "iab.txt" (string-append #$output:iab "/share/hwdata"))
-              (install-file "oui.txt" (string-append #$output:oui "/share/hwdata"))
-              (install-file "pci.ids" (string-append #$output:pci "/share/hwdata"))
-              (install-file "pnp.ids" (string-append #$output:pnp "/share/hwdata"))
-              (install-file "usb.ids" (string-append #$output:usb "/share/hwdata")))))))
+      #:configure-flags #~(list (string-append "--datadir=" #$output "/share"))))
     (home-page "https://github.com/vcrhonek/hwdata")
     (synopsis "Hardware identification and configuration data")
     (description "@code{hwdata} contains various hardware identification and
@@ -159,7 +149,7 @@ (define-public pciutils
        ;; No test suite.
        #:tests? #f))
     (native-inputs
-     (list `(,hwdata "pci") pkg-config which))
+     (list hwdata pkg-config which))
     (inputs
      `(,@(if (not (target-hurd?))
              `(("kmod" ,kmod))
diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index 9556fbc61e..1ffafadfbd 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -1248,8 +1248,7 @@ (define-public libosinfo
      (list `(,glib "bin")                ;glib-mkenums, etc.
            gobject-introspection
            gtk-doc/stable
-           `(,hwdata "pci")
-           `(,hwdata "usb")
+           hwdata
            vala
            intltool
            pkg-config))
diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index f2c050408e..6245f76788 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -1644,7 +1644,7 @@ (define-public wlroots
            xorg-server-xwayland))
     (native-inputs
      (list
-       `(,hwdata "pnp")
+       hwdata
        pkg-config))
     (home-page "https://gitlab.freedesktop.org/wlroots/wlroots/")
     (synopsis "Pluggable, composable, unopinionated modules for building a